<html>
<head>
<title>Ogre::EdgeData Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EdgeData Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EdgeData" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>This class contains the information required to describe the edge connectivity of a given set of vertices and indexes.  
 <a href="classOgre_1_1EdgeData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::EdgeData:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1EdgeData__inherit__graph.gif" border="0" usemap="#Ogre_1_1EdgeData_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1EdgeData_inherit__map" id="Ogre_1_1EdgeData_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="8,5,117,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1EdgeData-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html">Edge</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html" title="Edge data.">Edge</a> data.  <a href="structOgre_1_1EdgeData_1_1Edge.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html">EdgeGroup</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A group of edges sharing the same vertex data.  <a href="structOgre_1_1EdgeData_1_1EdgeGroup.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html">Triangle</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Basic triangle structure.  <a href="structOgre_1_1EdgeData_1_1Triangle.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::vector&lt; <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>&lt; <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1CategorisedAlignAllocPolicy.html">CategorisedAlignAllocPolicy</a><br class="typebreak"/>
&lt; <a class="el" href="group__Memory.html#gga830fab51be174d6f2849857cb1abb36aaf9e04ff475de4493bc942a9c73da4c2e">MEMCATEGORY_GEOMETRY</a> &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#a73d340f640bae10a852ce72c20d6fc80">TriangleFaceNormalList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; char &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#a04df16ab7fe244a33820dc2ed93bb2d5">TriangleLightFacingList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html">Triangle</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#abfe60759d5939159ecab6efb47c81190">TriangleList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="structOgre_1_1EdgeData_1_1Edge.html">Edge</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#aaa375d98aaa806ce481eb1fe38b4a3ce">EdgeList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html">EdgeGroup</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#a0976a49e32a6081b951b458df36c60b2">EdgeGroupList</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#abc392e96ecd65467b7e17e56f5b6751d">updateTriangleLightFacing</a> (const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;lightPos)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate the light facing state of the triangles in this edge list.  <a href="#abc392e96ecd65467b7e17e56f5b6751d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#a06f4e92565a4b5334aafc92dd923bd12">updateFaceNormals</a> (size_t vertexSet, const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;positionBuffer)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the face normals for this edge list based on (changed) position information, useful for animated objects.  <a href="#a06f4e92565a4b5334aafc92dd923bd12"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#a325ca9f8c825077c2ce6e67d11fd0558">log</a> (<a class="el" href="classOgre_1_1Log.html">Log</a> *<a class="el" href="classOgre_1_1EdgeData.html#a325ca9f8c825077c2ce6e67d11fd0558">log</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#abfe60759d5939159ecab6efb47c81190">TriangleList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#adcd3d9c03ce2bf3a8634b12fe78a9677">triangles</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Main triangles array, stores all triangles of this edge list.  <a href="#adcd3d9c03ce2bf3a8634b12fe78a9677"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#a73d340f640bae10a852ce72c20d6fc80">TriangleFaceNormalList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#ad171b0cbf84c2266e90ccb093485ea9b">triangleFaceNormals</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">All triangle face normals.  <a href="#ad171b0cbf84c2266e90ccb093485ea9b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#a04df16ab7fe244a33820dc2ed93bb2d5">TriangleLightFacingList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#a846bb6792590b4a3dc9c9f03845feef3">triangleLightFacings</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html" title="Basic triangle structure.">Triangle</a> light facing states.  <a href="#a846bb6792590b4a3dc9c9f03845feef3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#a0976a49e32a6081b951b458df36c60b2">EdgeGroupList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#a87c571c8ebe68b3ca039a003ffbe07ad">edgeGroups</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">All edge groups of this edge list.  <a href="#a87c571c8ebe68b3ca039a003ffbe07ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html#a85e8278c626ea184a00081f199d14959">isClosed</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag indicate the mesh is manifold.  <a href="#a85e8278c626ea184a00081f199d14959"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This class contains the information required to describe the edge connectivity of a given set of vertices and indexes. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This information is built using the <a class="el" href="classOgre_1_1EdgeListBuilder.html" title="General utility class for building edge lists for geometry.">EdgeListBuilder</a> class. Note that for a given mesh, which can be made up of multiple submeshes, there are separate edge lists for when </dd></dl>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00051">51</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a0976a49e32a6081b951b458df36c60b2"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroupList" ref="a0976a49e32a6081b951b458df36c60b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html">EdgeGroup</a>&gt;::type <a class="el" href="classOgre_1_1EdgeData.html#a0976a49e32a6081b951b458df36c60b2">Ogre::EdgeData::EdgeGroupList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00114">114</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaa375d98aaa806ce481eb1fe38b4a3ce"></a><!-- doxytag: member="Ogre::EdgeData::EdgeList" ref="aaa375d98aaa806ce481eb1fe38b4a3ce" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="structOgre_1_1EdgeData_1_1Edge.html">Edge</a>&gt;::type <a class="el" href="classOgre_1_1EdgeData.html#aaa375d98aaa806ce481eb1fe38b4a3ce">Ogre::EdgeData::EdgeList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00093">93</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a73d340f640bae10a852ce72c20d6fc80"></a><!-- doxytag: member="Ogre::EdgeData::TriangleFaceNormalList" ref="a73d340f640bae10a852ce72c20d6fc80" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1Vector4.html">Vector4</a>, <a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>&lt;<a class="el" href="classOgre_1_1Vector4.html">Vector4</a>, <a class="el" href="classOgre_1_1CategorisedAlignAllocPolicy.html">CategorisedAlignAllocPolicy</a>&lt;<a class="el" href="group__Memory.html#gga830fab51be174d6f2849857cb1abb36aaf9e04ff475de4493bc942a9c73da4c2e">MEMCATEGORY_GEOMETRY</a>&gt; &gt; &gt; <a class="el" href="classOgre_1_1EdgeData.html#a73d340f640bae10a852ce72c20d6fc80">Ogre::EdgeData::TriangleFaceNormalList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00085">85</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04df16ab7fe244a33820dc2ed93bb2d5"></a><!-- doxytag: member="Ogre::EdgeData::TriangleLightFacingList" ref="a04df16ab7fe244a33820dc2ed93bb2d5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;char&gt;::type <a class="el" href="classOgre_1_1EdgeData.html#a04df16ab7fe244a33820dc2ed93bb2d5">Ogre::EdgeData::TriangleLightFacingList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00090">90</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="abfe60759d5939159ecab6efb47c81190"></a><!-- doxytag: member="Ogre::EdgeData::TriangleList" ref="abfe60759d5939159ecab6efb47c81190" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html">Triangle</a>&gt;::type <a class="el" href="classOgre_1_1EdgeData.html#abfe60759d5939159ecab6efb47c81190">Ogre::EdgeData::TriangleList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00092">92</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a325ca9f8c825077c2ce6e67d11fd0558"></a><!-- doxytag: member="Ogre::EdgeData::log" ref="a325ca9f8c825077c2ce6e67d11fd0558" args="(Log *log)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1EdgeData.html#a325ca9f8c825077c2ce6e67d11fd0558">Ogre::EdgeData::log</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Log.html">Log</a> *&#160;</td>
          <td class="paramname"><em>log</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::EdgeData::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::EdgeData::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::EdgeData::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::EdgeData::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::EdgeData::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::EdgeData::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::EdgeData::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::EdgeData::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::EdgeData::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::EdgeData::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a06f4e92565a4b5334aafc92dd923bd12"></a><!-- doxytag: member="Ogre::EdgeData::updateFaceNormals" ref="a06f4e92565a4b5334aafc92dd923bd12" args="(size_t vertexSet, const HardwareVertexBufferSharedPtr &amp;positionBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1EdgeData.html#a06f4e92565a4b5334aafc92dd923bd12">Ogre::EdgeData::updateFaceNormals</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>vertexSet</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>positionBuffer</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Updates the face normals for this edge list based on (changed) position information, useful for animated objects. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">vertexSet</td><td>The vertex set we are updating </td></tr>
    <tr><td class="paramname">positionBuffer</td><td>The updated position buffer, must contain ONLY xyz </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abc392e96ecd65467b7e17e56f5b6751d"></a><!-- doxytag: member="Ogre::EdgeData::updateTriangleLightFacing" ref="abc392e96ecd65467b7e17e56f5b6751d" args="(const Vector4 &amp;lightPos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1EdgeData.html#abc392e96ecd65467b7e17e56f5b6751d">Ogre::EdgeData::updateTriangleLightFacing</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>lightPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Calculate the light facing state of the triangles in this edge list. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is normally the first stage of calculating a silhouette, i.e. establishing which tris are facing the light and which are facing away. This state is stored in the 'triangleLightFacings'. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">lightPos</td><td>4D position of the light in object space, note that for directional lights (which have no position), the w component is 0 and the x/y/z position are the direction. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a87c571c8ebe68b3ca039a003ffbe07ad"></a><!-- doxytag: member="Ogre::EdgeData::edgeGroups" ref="a87c571c8ebe68b3ca039a003ffbe07ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#a0976a49e32a6081b951b458df36c60b2">EdgeGroupList</a> <a class="el" href="classOgre_1_1EdgeData.html#a87c571c8ebe68b3ca039a003ffbe07ad">Ogre::EdgeData::edgeGroups</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>All edge groups of this edge list. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00125">125</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a85e8278c626ea184a00081f199d14959"></a><!-- doxytag: member="Ogre::EdgeData::isClosed" ref="a85e8278c626ea184a00081f199d14959" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1EdgeData.html#a85e8278c626ea184a00081f199d14959">Ogre::EdgeData::isClosed</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag indicate the mesh is manifold. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00127">127</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad171b0cbf84c2266e90ccb093485ea9b"></a><!-- doxytag: member="Ogre::EdgeData::triangleFaceNormals" ref="ad171b0cbf84c2266e90ccb093485ea9b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#a73d340f640bae10a852ce72c20d6fc80">TriangleFaceNormalList</a> <a class="el" href="classOgre_1_1EdgeData.html#ad171b0cbf84c2266e90ccb093485ea9b">Ogre::EdgeData::triangleFaceNormals</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>All triangle face normals. </p>
<p>It should be 1:1 with triangles. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00121">121</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a846bb6792590b4a3dc9c9f03845feef3"></a><!-- doxytag: member="Ogre::EdgeData::triangleLightFacings" ref="a846bb6792590b4a3dc9c9f03845feef3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#a04df16ab7fe244a33820dc2ed93bb2d5">TriangleLightFacingList</a> <a class="el" href="classOgre_1_1EdgeData.html#a846bb6792590b4a3dc9c9f03845feef3">Ogre::EdgeData::triangleLightFacings</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html" title="Basic triangle structure.">Triangle</a> light facing states. </p>
<p>It should be 1:1 with triangles. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00123">123</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="adcd3d9c03ce2bf3a8634b12fe78a9677"></a><!-- doxytag: member="Ogre::EdgeData::triangles" ref="adcd3d9c03ce2bf3a8634b12fe78a9677" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#abfe60759d5939159ecab6efb47c81190">TriangleList</a> <a class="el" href="classOgre_1_1EdgeData.html#adcd3d9c03ce2bf3a8634b12fe78a9677">Ogre::EdgeData::triangles</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Main triangles array, stores all triangles of this edge list. </p>
<p>Note that triangles are grouping against edge group. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00119">119</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
